Subject: bug#1111: describe-key's key notation display inconsistency

From: Drew Adams <[email-masked]>
Date: Thu, 8 Aug 2019 15:15:46 -0700 (PDT)

> > Presumably the key described as `<M-D>' (or
> > `M-<D>', per Xah), where `<D>' is a function
> > key, would correspond to event `M-d', which
> > might already be problematic (no?).
> 
> I don't think so, (kbd "M-d") => [?\M-d],
> but (kbd "<M-D>") => [M-D].

I'm talking about the _event_.  The value
of the event is a symbol.  In both cases
(I think) it would be the symbol `M-d'.

> > but have you ever come across a single-char
> > function-key name?
> 
> No (and I didn't mean to say that assuming
> all function key names are multi-character
> is unreasonable).

(I didn't expect that you did mean that.)

My point (in this tangent discussion) is that
it is possible to drop the angle brackets.
And the result would be a lot less noise.

But unless we also added a convention such as
no single-char function-key names, there could
be some rare ambiguity.

One way to avoid that rare case of ambiguity
would be to use angle brackets only for the
case of single-char names.